summaryrefslogtreecommitdiff
path: root/dev-python/packaging
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-02-05 06:31:44 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-02-05 06:31:44 +0000
commit212696df79c7cea812cbadb970e13de3387bd645 (patch)
treef8a37d93e2d4f2d7ff6b0b4ed511d5483f6ae602 /dev-python/packaging
parent7136290026d1fbf3572d629e3d787542f4c43b33 (diff)
downloadbaldeagleos-repo-212696df79c7cea812cbadb970e13de3387bd645.tar.gz
baldeagleos-repo-212696df79c7cea812cbadb970e13de3387bd645.tar.xz
baldeagleos-repo-212696df79c7cea812cbadb970e13de3387bd645.zip
Adding metadata
Diffstat (limited to 'dev-python/packaging')
-rw-r--r--dev-python/packaging/packaging-23.2-r1.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/dev-python/packaging/packaging-23.2-r1.ebuild b/dev-python/packaging/packaging-23.2-r1.ebuild
new file mode 100644
index 000000000000..68334c5acaea
--- /dev/null
+++ b/dev-python/packaging/packaging-23.2-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Core utilities for Python packages"
+HOMEPAGE="
+ https://github.com/pypa/packaging/
+ https://pypi.org/project/packaging/
+"
+
+SLOT="0"
+LICENSE="|| ( Apache-2.0 BSD-2 )"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+RDEPEND="
+ !<dev-python/setuptools-67
+"
+DEPEND="
+ test? (
+ dev-python/pretend[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest --capture=no
+}